Loading...
Searching...
No Matches
atomContainerIterator.h File Reference
`#include <BALL/KERNEL/iterator.h>`
`#include <BALL/KERNEL/predicate.h>`
`#include <BALL/CONCEPT/stdIteratorWrapper.h>`

Go to the source code of this file.

## Classes

class | BALL::AtomContainerIteratorTraits

## Namespaces

namespace | BALL

## Typedefs

Iterator type definitions for the various AtomContainerIterators.
typedef BidirectionalIterator< Composite, AtomContainer, Composite::CompositeIterator, AtomContainerIteratorTraits > | BALL::AtomContainerIterator
typedef ConstBidirectionalIterator< Composite, AtomContainer, Composite::CompositeIterator, AtomContainerIteratorTraits > | BALL::AtomContainerConstIterator
typedef std::reverse_iterator< AtomContainerIterator > | BALL::AtomContainerReverseIterator
| A mutable reverse bidirectional iterator for the AtomContainer class.
typedef std::reverse_iterator< AtomContainerConstIterator > | BALL::AtomContainerConstReverseIterator
| A constant reverse bidirectional iterator for the AtomContainer class.